package com.persagy.apm.diagnose.feign.client;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import feign.Headers;

/**
 * 运维系统
 */
@FeignClient(name = "EMS-SAAS-WEB")
public interface SaasWebClient {

	/**
	 *
	 * Description:根据项目id查询项目信息
	 * 
	 * @param jsonString
	 * @return String
	 * @author shaohongbo
	 * @since 2021年02月6日: 下午2:30:19 Update By shaohongbo 2021年02月6日: 下午2:30:19
	 */
	@PostMapping("/Spring/MVC/entrance/unifier/queryInUseProjectsByIds")
	@Headers({ "Content-Type: application/x-www-form-urlencoded" })
	String queryInUseProjectsByIds(@RequestParam("jsonString") String jsonString);

    /**
     * 根据项目id查询项目信息
     * @param jsonString
     * @return
     */
    @PostMapping("/Spring/MVC/entrance/unifier/getProjectByIdService")
    @Headers({ "Content-Type: application/x-www-form-urlencoded" })
    String getProjectByIdService(@RequestParam("jsonString") String jsonString);

    /**
     * 查询有效集团编码列表
     * @param param
     * @return
     */
    @PostMapping("/rwd/groupAndSchema/admin/queryGroupList")
    @Headers({ "Content-Type: application/x-www-form-urlencoded" })
    String queryGroupList(JSONObject param);
}
